// Player.h

#ifndef PLAYER_H
#define PLAYER_H

#include "Utility.h"
#include <list>
#include <string>
using namespace std;

const int NUM_P_TEXS = 4;
const int PLAYER_WIDTH = 64;
const int PLAYER_HEIGHT = 64;
const int BULLET_WIDTH = 16;
const int BULLET_HEIGHT = 16;

extern GLuint bulletTex;

struct Bullet
{
	int x, y;
};

class Player
{
	public:
		Player(int nr);
		~Player();

		void Input(Uint8 *keys);
		void Update();
		void Draw();

		void Shoot();
		bool BulletCollWith(Player *player);
		
		int GetX() { return m_x; }
		int GetY() { return m_y; }
		
		list<Bullet> *GetBullets() { return &m_bullets; }
		
		void Hit();

	private:

		static const int SPEED = 4;
		static const int RELOAD_TIME = 900;
		static const int BULLET_SPEED = 7;

		int m_nr;
		GLuint m_textures[NUM_P_TEXS];
		int m_hurtState;
		int m_x, m_y;
		int m_keyLeft, m_keyRight;
		int m_keyUp, m_keyDown;
		int m_keyShoot;
		Uint32 m_lShot;
		list<Bullet> m_bullets;
};

#endif

