// Utility.h

#ifndef UTILITY_H
#define UTILITY_H

#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include <SDL/SDL_opengl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// Screen dimensions
const int SCR_W	= 640;
const int SCR_H = 480;

// Format
const int SCR_BPP = 32;

// Use GL_NEAREST to get more speed and very pixelated graphics
const GLint IMAGE_FILTER = GL_LINEAR;

// Utility functions
void Error(const char *msg);
GLuint LoadTexture(const char *filename, bool useAlpha = false);
void DrawTexture(GLuint texture, int x, int y, int w, int h, bool useBlend = false);
void FreeTexture(GLuint *texture);
bool Coll(SDL_Rect *rect1, SDL_Rect *rect2);

extern bool done;

#endif

